Subject: Re: [patch 02/11] 3x59x: fix PCI resource management

From: Jeff Garzik <[email-masked]>
Date: Mon, 25 Sep 2006 20:02:41 -0400

[email-masked] wrote:
> From: Jeff Garzik <[email-masked]>
> 
> The driver wrongly claimed I/O ports at an address returned by pci_iomap()
> -- even if it was passed an MMIO address.  Fix this by claiming/releasing
> all PCI resources in the PCI driver probe/remove handlers instead and get
> rid of the must_free_region flag weirdness (why would Cardbus claim
> anything for us?).
> 
> Also, the remove handler was trying to talk to the chip after having
> disabled its address decoders (at least on x86) -- fix this and get rid of
> useless VORTEX_PCI() calls.
> 
> While at it, fix some cases of the overly indented code...
> 
> Signed-off-by: Sergei Shtylyov <[email-masked]>
> Cc: Jeff Garzik <[email-masked]>
> 
> - Would prefer that vortex_init_one() do the `goto out_release;' thing
>   rather than having multiple cleanup-then-return points.
> 
> - I don't remember the story with cardbus either.  Presumably once upon a
>   time the cardbus layer was claiming IO regions on behalf of cardbus
>   devices (?)
> 
> Signed-off-by: Andrew Morton <[email-masked]>

ACK + HOLD, waiting to see if someone actually tested it